> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create memory for contact

> Creates a new memory item for the specified contact



## OpenAPI

````yaml https://api.callers.ai/openapi-json post /contacts/{contactId}/memories
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /contacts/{contactId}/memories:
    post:
      tags:
        - Contact Memory
      summary: Create memory for contact
      description: Creates a new memory item for the specified contact
      operationId: ContactMemoryPublicController_createByContactId
      parameters:
        - name: contactId
          required: true
          in: path
          description: Contact ID
          schema:
            type: string
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactMemoryPublicDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    $ref: '#/components/schemas/ContactMemoryPublicDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    CreateContactMemoryPublicDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        text:
          type: string
          minLength: 1
          maxLength: 5000
      required:
        - name
        - text
    ContactMemoryPublicDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the memory
          example: 507f1f77bcf86cd799439011
        name:
          type: string
          description: Display name for the memory item
          example: Communication Preference
        text:
          type: string
          description: The content/text of the memory
          example: Customer prefers email contact
        status:
          type: string
          description: Status of the memory
          enum:
            - ACTUAL
            - OUTDATED
            - DELETED
          example: ACTUAL
        phoneNumber:
          type: string
          description: Phone number associated with this memory
          example: '14155552671'
        campaignId:
          type: string
          description: Campaign ID associated with this memory
          example: 507f1f77bcf86cd799439011
        contactId:
          type: string
          description: Contact ID if memory is associated with a contact
          example: 507f1f77bcf86cd799439011
        previousMemoryId:
          type: string
          description: ID of the previous version of this memory (if updated)
          example: 507f1f77bcf86cd799439011
        createdAt:
          type: string
          description: Timestamp when the memory was created
          format: date-time
          example: '2024-04-09T12:00:00.000Z'
        updatedAt:
          type: string
          description: Timestamp when the memory was last updated
          format: date-time
          example: '2024-04-09T13:30:00.000Z'
      required:
        - id
        - name
        - text
        - status
        - phoneNumber
        - campaignId
        - createdAt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````